Knowledgebase plugin causes error in RM 3.2 Global Search

2016-07-29 11:43 - Rainer Rutka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

Hi!

The plugin redmine_knowledgebase, version 3.2.0 causes an error/crash in Redmine 3.2.

After installation of the above plugin, you can not use the GLOBAL SEARCH (upper right corner of the main-menue) function in

Redmine. If you enter an unknown ticket number or any other string, you'll get an error.

The system crashes with this internal error:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

 See the atached error-log file (line 379 cont.).

Here's an excerpt:

Completed 200 OK in 273ms (Views: 38.8ms | ActiveRecord: 94.7ms)

Started GET "/search?utf8=%E2%9C%93&q=TestSearchRainer" for 134.34.1.235 at 2016-07-29 11:29:50 +0

200

Processing by SearchController#index as HTML

  Parameters: {"utf8"=>"✓", "q"=>"TestSearchRainer"}

  Current user: rainer.rutka (id=678)

Completed 500 Internal Server Error in 574ms (ActiveRecord: 457.3ms)

NoMethodError (undefined method `where' for #<Hash:0x007f031667ead8>):

  lib/plugins/acts_as_searchable/lib/acts_as_searchable.rb:93:in `search_result_ranks_and_ids'

  lib/redmine/search.rb:127:in `block in load_result_ids'

  lib/redmine/search.rb:125:in `each'

  lib/redmine/search.rb:125:in `load_result_ids'

  lib/redmine/search.rb:115:in `block in load_result_ids_from_cache'

  lib/redmine/search.rb:114:in `load_result_ids_from_cache'

  lib/redmine/search.rb:99:in `result_ids'

  lib/redmine/search.rb:70:in `result_count'

  app/controllers/search_controller.rb:65:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

[...]

 Our RM configuration at the Univsersity is:

Environment:

  Redmine version                3.2.0.stable.15148

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.8.10

  Mercurial                      3.1.2

2025-05-02 1/2



  Cvs                            1.12.13

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.1

  redmine_code_review            0.7.0

  redmine_knowledgebase          3.2.0      # ERROR 

  redmine_meetings               0.2.7

  redmine_mylyn_connector        2.8.2.stable

  redmine_tweaks                 0.5.8-dev

  redmine_watcher_groups         0.0.3git

  scrum                          0.14.0

 We tested all other plugins and this one is the only one

who creates the above error.

Thank you!

rainer.rutka@uni-konstanz.de

History

#1 - 2016-07-29 13:10 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

The plugin causes the problem, the plugin should be fixed. Please contact the author of the plugin.

Files

search-error.log 33.7 KB 2016-07-29 Rainer Rutka
